package com.its.vms.dao.mapper;

import com.its.vms.dto.TbVmsCtlrDto;
import com.its.vms.entity.TbRseCtlrCnncHs;
import com.its.vms.dto.TbVmsCtlrSttsDto;
import com.its.vms.entity.TbRseCtrlHs;
import com.its.vms.entity.TbRseObuNonCrypt;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VmsCtlrMapper {

    List<TbVmsCtlrDto> selectAll();

    List<TbVmsCtlrSttsDto> selectCtlrStts();
    List<TbRseObuNonCrypt> selectRseObuNonCryptList();
    int updateCtlrStts(@Param("obj") TbVmsCtlrSttsDto obj);
    int insertCtlrSttsHs(@Param("obj") TbVmsCtlrSttsDto obj);
    int insertRseCtlrCnncHs(@Param("obj") TbRseCtlrCnncHs obj);     // 접속이력
    int insertRseCtrlHs(@Param("obj") TbRseCtrlHs obj);             // 제어이력

    int updateRseCtrlHs(@Param("obj") TbRseCtrlHs obj);
}
